package m05bVehiculosEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05VehiculosEB</tt>.
 */

public class m05VehiculosPK implements java.io.Serializable {

  /**
   * This is the primary key.
   * It is the modelo codigo, which is the primary key
   * in table <tt>m0534t00</tt>.
   */
    public String veh_matricula;

/**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
 */

public boolean equals(Object obj) {
  if (obj instanceof m05VehiculosPK) {
    m05VehiculosPK otherKey = (m05VehiculosPK) obj;
    return ((this.veh_matricula == otherKey.veh_matricula));
  }
  else
    return false;
}








  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.veh_matricula.hashCode();
  }

}
